Bug 504706 - Blitz packages for core 10 won't compile
Blitz packages for core 10 won't compile
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: blitz (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 17:50 EDT by Tim Wilson
Modified: 2009-06-13 06:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-13 06:08:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Wilson 2009-06-08 17:50:35 EDT
Description of problem:
Installed packages: blitz-0.9-7.fc9, blitz-devel-0.9.7.fc9; attempt to compile produces a blast of compile errors, too long to attach here. 

Version-Release number of selected component (if applicable):
0.9-7

How reproducible:
Every time

Steps to Reproduce:
1. Install packages
2. Include <blitz/array>
3. Try to compile
  
Actual results:
Many, many compile errors.

Expected results:
The code compiled fine on my old Fedora version, core 6. So I expected it might compile after upgrading to core 10. 


Additional info:
Uninstalling the packages mentioned above, and installing blitz version 0.9-7 from source, also produces (different) compile errors; but this can be fixed by adding "#include <cstdlib>" to funcs.h and mathfunc.h.
Comment 1 Sergio Pascual 2009-06-08 19:43:46 EDT
Please check if compiling with  
$ g++ myprogram.cc `pkg-config blitz --libs --cflags`
works
Comment 2 Tim Wilson 2009-06-09 11:22:11 EDT
Yep, it does work, like a charm. So I gather that I should generally use that pkg-config trick when compiling against any package, as a general rule? Sorry if I should've known that.
Comment 3 Sergio Pascual 2009-06-13 06:08:43 EDT
Blitz in fedora is patched to allow multilib installs, see bug #450999 for references. This means that part of the headers are in %libdir/blitz/include. The modified blitz.pc includes this header. You are always safe using pkg-config

Note You need to log in before you can comment on or make changes to this bug.